Summary:	jigdo - Jigsaw Download - easy the distribution of very large files
Summary(pl.UTF-8):	jigdo - łatwa dystrybucja dużych plików
Name:		jigdo
Version:	0.7.3
Release:	7
License:	GPL v2
Group:		Applications
Source0:	http://atterer.net/jigdo/%{name}-%{version}.tar.bz2
# Source0-md5:	bbc1d9ac750bb34e0748f0b57157cc72
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-gcc4.patch
URL:		http://atterer.net/jigdo/
BuildRequires:	ImageMagick-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.11
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jigsaw Download, or short jigdo, is a tool designed to ease the
distribution of very large files over the internet, for example CD or
DVD images. Its aim is to make downloading the images as easy for
users as a click on a direct download link in a browser, while
avoiding all the problems that server administrators have with hosting
such large files.

%description -l pl.UTF-8
jigdo to narzędzie do łatwej dystrybucji bardzo dużych plików
w Internecie, na przykład obrazów CD lub DVD. Łatwość ściągania
polega tylko na kliknięciu odnośnika w przeglądarce, omijając
problemy jakie niesie hostowanie dużych plików administratorom.

%package gtk
Summary:	GTK+2 based download manager
Summary(pl.UTF-8):	Zarządca pobierania oparty na GTK+2
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
Provides GTK+2 based download manager. 

%description gtk -l pl.UTF-8
Pakiet zawiera zarządcę pobierania, opartego na GTK+2.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-gui
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/jigdo.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/jigdo.png

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README THANKS changelog
%attr(755,root,root) %{_bindir}/jigdo-*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/debian-mirrors.jigdo
%{_mandir}/man1/jigdo-*.1*

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jigdo
%{_datadir}/%{name}/pixmaps
%{_mandir}/man1/jigdo.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%changelog
* Thu Sep 06 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jigdo.git;a=log;h=master

* Thu Sep 06 2012 Jan Rękorajski <baggins@pld-linux.org> 4007592
- fix building with current gcc
- release 7

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e6af6df
- rel 6

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 68eee75
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Sep 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> f8688b0
- release 5

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d7c48c
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bbc7149
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e48c2a
- converted to UTF-8

* Sat Dec 23 2006 Marcin Banasiak <marcin.banasiak@gmail.com> d300fcb
- release 3

* Thu Oct 12 2006 Marcin Banasiak <marcin.banasiak@gmail.com> ac08d4f
- GTK not GTK+ in Categories

* Wed Oct 11 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 832f8b5
- add desktop file and icon

* Wed Oct 11 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 8d115c8
- icon for jigdo

* Wed Oct 11 2006 Marcin Banasiak <marcin.banasiak@gmail.com> d76e527
- desktop file for jigdo

* Wed Oct 11 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 74c6e59
- add gtk subpackage (GTK+2 based download manager)
- rel. 2

* Sun May 28 2006 Marcin Banasiak <marcin.banasiak@gmail.com> f2c7c71
- up to 0.7.3

* Sat Jul 16 2005 Karol Krenski <charles@pld-linux.org> ee30be9
- up to 0.7.2
- BR curl-devel instead of w3c-libwww-devel, rm db-devel
- cleanups, proper license

* Sat Apr 09 2005 darekr <darekr@pld-linux.org> fd0b1b8
- gpm-friendly Source0

* Sat Apr 09 2005 Karol Krenski <charles@pld-linux.org> 863a660
- sorted BRs

* Sat Apr 09 2005 Karol Krenski <charles@pld-linux.org> 97fce4a
- BR: libstdc++-devel, pkgconfig

* Wed Jun 23 2004 radek <radek@pld-linux.org> cfa80d7
- not needed anymore

* Wed Jun 23 2004 radek <radek@pld-linux.org> e49aff3
- version 0.7.1

